Notification for Capture
Request
Request Body schema
capture
object
Required
The related information for a Capture transaction
-Usage Instruction
1. Used in response of POST Capture and GET Capture only
eventCode
string<= 32 characters
Required
Enum: Capture
Used to indicate the type of a Notification
- Usage Instruction
1. Filed Type: String(32)
metadata
string
Required
payment
object
Required
This object includes related information for an original Payment transaction which has been successfully processed in EVO Cloud
- Usage Instruction
1. This field is used in response for the API of Payment, Cancel, Capture, Refund and DataSubmission
2. This field is used in Notification for the API of Payment, Cancel, Capture and Refund and DataSubmission
paymentMethod
object
Required
This field includes the Payment Method information, including Payment Method selected by User for Payment, and the Payment Method supported by the merchant
- Usage Instruction
1. For GET PaymentMethod response, If merchant sends merchantTransID in GET PaymentMethod request. EVO Cloud will return this object.
2. EVO Cloud may include this object in response.
pspData
object
This is the supplemental data from PSP which may be used for some special service scenarios
- Usage Instruction
1. EVO Cloud may provide this information if PSP provides
storeInfo
object
Supplemental store information need to be provided by merchant.
- Usage definition
1. To indicate MCC for this merchant when the store is assigned multiple MCCs in EVO Cloud.
2. To indicate the store information for this merchant when settlement notification.
transInitiator
object
Information of terminal to initiate the transaction.
- Usage instruction
1. Used in the request of PaymentMethod, Payment.
POST
/capture webhook in the requestTry it
Server
https://online-uat.everonet.com
Request Body Parameters
Request Samples
cURL
curl -i -X POST \
'https://online-uat.everonet.com/capture webhook in the request' \
-d '{
"capture": {
"billingAmount": {
"currency": "string",
"value": "string"
},
"billingFXRate": {
"baseCurrency": "string",
"quoteCurrency": "string",
"value": "string"
},
"convertTransAmount": {
"currency": "string",
"value": "string"
},
"convertTransFXRate": {
"baseCurrency": "string",
"date": "string",
"quoteCurrency": "string",
"source": "string",
"value": "string"
},
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "string",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"failureCode": "string",
"failureReason": "string",
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"pspTransInfo": {
"authorizationCode": "string",
"pspTransID": "string",
"pspTransTime": "string",
"retrievalReferenceNum": "string"
},
"status": "string",
"transAmount": {
"currency": "string",
"value": "string"
}
},
"eventCode": "string",
"metadata": "string",
"payment": {
"billingAmount": {
"currency": "string",
"value": "string"
},
"billingFXRate": {
"baseCurrency": "string",
"quoteCurrency": "string",
"value": "string"
},
"convertTransAmount": {
"currency": "string",
"value": "string"
},
"convertTransFXRate": {
"baseCurrency": "string",
"date": "string",
"quoteCurrency": "string",
"source": "string",
"value": "string"
},
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "string",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"failureCode": "string",
"failureReason": "string",
"localAmount": {
"currency": "string",
"value": "string"
},
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"pspTransInfo": {
"authorizationCode": "string",
"pspTransID": "string",
"pspTransTime": "string",
"retrievalReferenceNum": "string"
},
"status": "string",
"transAmount": {
"currency": "string",
"value": "string"
}
},
"paymentMethod": {
"accountUpdateIndicator": "string",
"card": {
"first6No": "string",
"fundingType": "string",
"hashCardNumber": "string",
"holderName": "string",
"isCommercial": true,
"issuerCountry": "string",
"issuingBank": "string",
"issuingCountry": "string",
"last4No": "string",
"paymentBrand": "string",
"posEntryMode": "string",
"posEntryModeCode": "string",
"updatedCardInfo": "string"
},
"paymentAccountReference": "string",
"token": {
"createTime": "string",
"expiryDate": "string",
"fingerprint": "string",
"first6No": "string",
"last4No": "string",
"status": "string",
"updateTime": "string",
"userReference": "string",
"value": "string",
"vaultID": "string"
}
},
"pspData": {
"extra": "string",
"fingerprint": "string",
"name": "string",
"networkTxReference": "string",
"payerReference": "string",
"sponsorCode": "string",
"token": "string"
},
"storeInfo": {
"mcc": "string",
"sid": "string",
"storeID": "string"
},
"transInitiator": {
"terminalID": "string"
}
}'JavaScript
fetch(
`https://online-uat.everonet.com/capture webhook in the request`,
{
method: 'post',
body: '{
"capture": {
"billingAmount": {
"currency": "string",
"value": "string"
},
"billingFXRate": {
"baseCurrency": "string",
"quoteCurrency": "string",
"value": "string"
},
"convertTransAmount": {
"currency": "string",
"value": "string"
},
"convertTransFXRate": {
"baseCurrency": "string",
"date": "string",
"quoteCurrency": "string",
"source": "string",
"value": "string"
},
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "string",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"failureCode": "string",
"failureReason": "string",
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"pspTransInfo": {
"authorizationCode": "string",
"pspTransID": "string",
"pspTransTime": "string",
"retrievalReferenceNum": "string"
},
"status": "string",
"transAmount": {
"currency": "string",
"value": "string"
}
},
"eventCode": "string",
"metadata": "string",
"payment": {
"billingAmount": {
"currency": "string",
"value": "string"
},
"billingFXRate": {
"baseCurrency": "string",
"quoteCurrency": "string",
"value": "string"
},
"convertTransAmount": {
"currency": "string",
"value": "string"
},
"convertTransFXRate": {
"baseCurrency": "string",
"date": "string",
"quoteCurrency": "string",
"source": "string",
"value": "string"
},
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "string",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"failureCode": "string",
"failureReason": "string",
"localAmount": {
"currency": "string",
"value": "string"
},
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"pspTransInfo": {
"authorizationCode": "string",
"pspTransID": "string",
"pspTransTime": "string",
"retrievalReferenceNum": "string"
},
"status": "string",
"transAmount": {
"currency": "string",
"value": "string"
}
},
"paymentMethod": {
"accountUpdateIndicator": "string",
"card": {
"first6No": "string",
"fundingType": "string",
"hashCardNumber": "string",
"holderName": "string",
"isCommercial": true,
"issuerCountry": "string",
"issuingBank": "string",
"issuingCountry": "string",
"last4No": "string",
"paymentBrand": "string",
"posEntryMode": "string",
"posEntryModeCode": "string",
"updatedCardInfo": "string"
},
"paymentAccountReference": "string",
"token": {
"createTime": "string",
"expiryDate": "string",
"fingerprint": "string",
"first6No": "string",
"last4No": "string",
"status": "string",
"updateTime": "string",
"userReference": "string",
"value": "string",
"vaultID": "string"
}
},
"pspData": {
"extra": "string",
"fingerprint": "string",
"name": "string",
"networkTxReference": "string",
"payerReference": "string",
"sponsorCode": "string",
"token": "string"
},
"storeInfo": {
"mcc": "string",
"sid": "string",
"storeID": "string"
},
"transInitiator": {
"terminalID": "string"
}
}'
})
.then(response => response.json())
.then(data => console.log(data));Response Samples
200
application/octet-stream
json

